Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.configuration
Class Authorization

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sshtools.common.configuration.Authorization

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class Authorization
extends org.xml.sax.helpers.DefaultHandler

DOCUMENT ME!

Constructor Summary
`Authorization()` Creates a new Authorization object.
`Authorization(java.io.InputStream in)` Creates a new Authorization object.

Method Summary
`void` | `addKey(java.lang.String keyfile)` DOCUMENT ME!
`java.util.List` | `getAuthorizedKeys()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Authorization

    public Authorization(java.io.InputStream in)
                  throws org.xml.sax.SAXException,
                         javax.xml.parsers.ParserConfigurationException,
                         java.io.IOException

  Creates a new Authorization object.

Parameters:
  `in` - DOCUMENT ME!
Throws:
  `org.xml.sax.SAXException` - DOCUMENT ME!
  `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
  `java.io.IOException` - DOCUMENT ME!

### Authorization

    public Authorization()

  Creates a new Authorization object.

Method Detail

### getAuthorizedKeys

    public java.util.List getAuthorizedKeys()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addKey

    public void addKey(java.lang.String keyfile)

  DOCUMENT ME!

  Parameters:
    `keyfile` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD